> For the complete documentation index, see [llms.txt](https://developer.flash-payments.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.flash-payments.com/other/reference-data.md).

# Reference data

1. [`bankInfo`](/compliance/bank-information.md) - query bank information to **validate** if we support your BSB, IBAN, BIC (aka Swift code).
2. `depositDetails` - query the accounts you can send deposits to in order to increase your Flash Payments master balance.
3. [`availableDeliveryMethods`](/moving-funds/recipients/delivery-methods.md) - query countries/currency combinations we support and what the required bank account details are.
4. [Rejection codes](/moving-funds/payouts/rejection-codes.md) - Flash proprietary list of all the reasons why your payout could have been cancelled.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.flash-payments.com/other/reference-data.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
